Subject: Re: [PATCH 1/5] netlink: extended ACK reporting

From: Johannes Berg <[email-masked]>
Date: Mon, 10 Apr 2017 08:18:09 +0200

> perhaps I misunderstand something, but nla_parse suggests attribute
> type can not be 0:
[...]

Yes, some - very few - families still insist on using attribute 0,
perhaps parsing by hand or so. Like you say though, the entire
infrastructure makes that hard and undesirable, so I don't really see
why we need to invest the extra code/work into making it work *here*,
especially since it's such a corner case as I described in my other
email.

johannes